1 (edited by web2works 2010-03-28 23:25:42)

Topic: Can't contact LDAP server {SOLVED}

Hi, I am a little confused with the instalation of the iRedMailAdmin-Pro-1.1.1 on my debian lenny server

1. Do I have to install the iRedMail first?
2. Is iRedMailAdmil-Pro an improved version of postfixadmin?
3. When following the guide at :http://www.iredmail.org/admin_installation_debian.html
The first bit about 'Configure OpenLDAP.'
# ---- Add below line in /etc/ldap/slapd.conf before line ----
# ---- 'include /etc/ldap/schema/iredmail.schema' if not present ----
include /etc/ldap/schema/amavis.schema

Inside /etc/ldap I have and nothing related to what is in the guide:
- schema/amavis.schema
- ldap.conf

<class 'ldap.SERVER_DOWN'> at /
{'desc': "Can't contact LDAP server"}
Python     /usr/lib/python2.5/site-packages/ldap/ldapobject.py in _ldap_call, line 95
Basically after continuing I am getting the following error in the attached file

Thanks Ben

2

Re: Can't contact LDAP server {SOLVED}

web2works wrote:

1. Do I have to install the iRedMail first?

Yes.

2. Is iRedMailAdmil-Pro an improved version of postfixadmin?

iRedAdmin-Pro is designed for iRedMail with OpenLDAP backend.

3 (edited by web2works 2010-03-27 05:48:58)

Re: Can't contact LDAP server {SOLVED}

Actually I think I have figured it out. It was because I choose the mysql option on the install of mail. Maybe it would be use it you have an all together guide listing the constraints.

Thanks for your fast reply. I am still getting internal server errors I have turned on the debug mode you can see the errors at:
https://disneyfanatics.co.uk/iredadmin
<class 'ldap.SERVER_DOWN'> at /
{'desc': "Can't contact LDAP server"}


Also since I have added the 2 lines to the apt source list I am getting the following errors when doing an apt-get update:
W: Failed to fetch http://security.debian.org/dists/lenny/updates/Release  Unable to find expected entry  non-freedeb/binary-i386/Packages in Meta-index file (malformed Release file?)

E: Some index files failed to download, they have been ignored, or old ones used instead.

4

Re: Can't contact LDAP server {SOLVED}

you can first backup /etc/apt/sources.list

only add the two line

deb http://http.us.debian.org/debian lenny main
deb http://security.debian.org/ lenny/updates main
debian5:~# apt-get update
Get:1 http://http.us.debian.org lenny Release.gpg [1033B]
Ign http://http.us.debian.org lenny/main Translation-en_US
Get:2 http://security.debian.org lenny/updates Release.gpg [835B]
Ign http://security.debian.org lenny/updates/main Translation-en_US
Get:3 http://http.us.debian.org lenny Release [73.8kB]
Get:4 http://security.debian.org lenny/updates Release [40.8kB]
Get:5 http://http.us.debian.org lenny/main Packages [5196kB]
Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
Get:6 http://security.debian.org lenny/updates/main Packages [314kB]
Fetched 5627kB in 1min8s (82.0kB/s)
Reading package lists... Done
debian5:~#